unit ApiFunctionsServiceImplementation;

interface

uses
  XData.Server.Module,
  XData.Service.Common,
  ApiFunctionsService;

type
  [ServiceImplementation]
  TMyService = class(TInterfacedObject, IMyService)
  public
    function Sum(A, B: Double): Double;
    function HelloWorld:String;

  end;

implementation

{ TMyService }

function TMyService.HelloWorld: String;
begin
  result := 'aaaaa';
end;

function TMyService.Sum(A, B: Double): Double;
begin
  result := a+b;
end;


initialization
  //RegisterServiceType(TMyService);

end.
